// Gutierrez, Cesareo
// cgutie@essex.ac.uk
// CC484 Assignment.December 2002

/**
 * This class is used only to check the constraints. It could have been
 * a function of the algorithm, but this way encourages the independence
 * between the formulation of a problem and how to solve it.
 *
 * @version 1.0 10/12/2002
 * @author Cesareo Gutierrez
 */
public class Constraints {

  /**
  * Constructor
  * Do nothing
  */
  public Constraints() {
  }

  /**
  * checkConstraints
  * Check that none queen is in the same column or the same diagonal that another
  */
  public boolean checkConstraints(CompoundLabel cl){
    //If there is any equal value it means that they are in the same column
    if(cl.isThereAnyEqual())
      return false;
    //If the distance between rows and columns are the same, it means they are
    //on the same diagonal.
    if(cl.isThereEqualDistances())
      return false;
    return true;
  }
}